package com.ruoyi.oa.service;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 汇率服务接口
 */
public interface IExchangeRateService {

    /**
     * 获取当前日期的美元实时汇率
     * @return 美元兑人民币汇率
     */
    BigDecimal getCurrentUsdExchangeRate();

    /**
     * 获取指定日期的美元汇率
     * @param date 日期
     * @return 美元兑人民币汇率
     */
    BigDecimal getUsdExchangeRate(Date date);
}